GeoValidation (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.validator.GeoValidation class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.validator
Class GeoValidation

    java.lang.Object
      org.hyperic.util.validator.GeoValidation

    public class GeoValidation

extends java.lang.Object

Field Summary
`static java.lang.String` | `CANADA`
`static java.lang.String[]` | `CANADA_PROVINCE_NAMES`
`static java.lang.String[]` | `CANADA_PROVINCES`
`static java.lang.String[]` | `COUNTRIES`
`static java.lang.String[]` | `US_MILITARY`
`static java.lang.String[]` | `US_STATES`
`static java.lang.String[]` | `US_STATES_NAMES`
`static java.lang.String[]` | `US_TERRITORIES`
`static java.lang.String[]` | `USA`

Method Summary
`static java.lang.String` | `getCanadianProvinceAbbreviation(java.lang.String province)`
`static java.lang.String` | `getFullUSStateName(java.lang.String abbr)`
`static java.lang.String` | `getUSStateAbbreviation(java.lang.String state)`
`static boolean` | `isCanada(java.lang.String country)`
`static boolean` | `isUSA(java.lang.String country)`
`static boolean` | `isUSTerritoryOrMilitary(java.lang.String state)`
`static void` | `main(java.lang.String[] args)`
`static java.lang.String` | `normalizeZIP(java.lang.String country, java.lang.String zip)`
`static java.lang.String` | `validateCanadianProvince(java.lang.String province)`
`static java.lang.String` | `validateCountry(java.lang.String country)`
`static void` | `validatePostalCode(java.lang.String country, java.lang.String state, java.lang.String zip)`
`static java.lang.String` | `validateStateOrProvince(java.lang.String country, java.lang.String state)`
`static java.lang.String` | `validateUSState(java.lang.String state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USA

    public static final java.lang.String[] USA

### CANADA

    public static final java.lang.String CANADA

See Also:
  Constant Field Values

### COUNTRIES

    public static final java.lang.String[] COUNTRIES

### US_STATES

    public static final java.lang.String[] US_STATES

### US_STATES_NAMES

    public static final java.lang.String[] US_STATES_NAMES

### US_TERRITORIES

    public static final java.lang.String[] US_TERRITORIES

### US_MILITARY

    public static final java.lang.String[] US_MILITARY

### CANADA_PROVINCES

    public static final java.lang.String[] CANADA_PROVINCES

### CANADA_PROVINCE_NAMES

    public static final java.lang.String[] CANADA_PROVINCE_NAMES

Method Detail

### validateCountry

    public static java.lang.String validateCountry(java.lang.String country)
                                            throws InvalidCountryException

  Throws:
    `InvalidCountryException`

### validateUSState

    public static java.lang.String validateUSState(java.lang.String state)
                                            throws InvalidUSStateException

  Throws:
    `InvalidUSStateException`

### getFullUSStateName

    public static java.lang.String getFullUSStateName(java.lang.String abbr)
                                               throws InvalidUSStateException

  Throws:
    `InvalidUSStateException`

### getUSStateAbbreviation

    public static java.lang.String getUSStateAbbreviation(java.lang.String state)
                                                   throws InvalidUSStateException

  Throws:
    `InvalidUSStateException`

### validateCanadianProvince

    public static java.lang.String validateCanadianProvince(java.lang.String province)
                                                     throws InvalidCanadianProvinceException

  Throws:
    `InvalidCanadianProvinceException`

### getCanadianProvinceAbbreviation

    public static java.lang.String getCanadianProvinceAbbreviation(java.lang.String province)
                                                            throws InvalidCanadianProvinceException

  Throws:
    `InvalidCanadianProvinceException`

### isUSA

    public static boolean isUSA(java.lang.String country)

### isUSTerritoryOrMilitary

    public static boolean isUSTerritoryOrMilitary(java.lang.String state)

### isCanada

    public static boolean isCanada(java.lang.String country)

### validateStateOrProvince

    public static java.lang.String validateStateOrProvince(java.lang.String country,
                                                           java.lang.String state)
                                                    throws InvalidStateOrProvinceException

  Throws:
    `InvalidStateOrProvinceException`

### normalizeZIP

    public static java.lang.String normalizeZIP(java.lang.String country,
                                                java.lang.String zip)

### validatePostalCode

    public static void validatePostalCode(java.lang.String country,
                                          java.lang.String state,
                                          java.lang.String zip)
                                   throws InvalidPostalCodeException

  Throws:
    `InvalidPostalCodeException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.